module.exports = {
  title: "关于PHP、Go、Docker、FreeSWITCH的技术收藏",
  description: "wandoubaba, 一个PHP程序员，在做FreeSWITCH相关应用的开发过程中，积累了一些技术文档，可以当作开发文档，也可以当作技术交流",
  dest: "dist",
  base: "/",
  plugins: ["@vuepress/back-to-top"],
  head: [
    // 百度统计代码
    [
      "script",
      {},
      `var _hmt = _hmt || [];
      (function() {
        var hm = document.createElement("script");
        hm.src = "https://hm.baidu.com/hm.js?1eb7f71a234c2320b396cbc51c1f047e";
        var s = document.getElementsByTagName("script")[0];
        s.parentNode.insertBefore(hm, s);
      })();`,
    ],
    ['meta', { name: 'baidu-site-verification', content: 'codeva-4lq3p2CAal' }],
    ['meta', { name: 'keywords', content: 'wandoubaba,豌豆爸爸,技术文档,PHP,Docker,FreeSWITCH,RabbitMQ,Webman,RTC,音视频通话,Nginx,DevOps' }]
  ],
  themeConfig: {
    lastUpdated: "上次更新",
    displayAllHeaders: false,
    footer: `© ${new Date().getFullYear()} wandoubaba | Powered by VuePress`,
    nav: [
      { text: '首页', link: '/' },
      { text: 'FreeSWITCH', link: '/freeswitch/' },
      { text: 'PHP', link: '/php/' },
      { text: 'Docker', link: '/docker/' },
      { text: 'Go', link: '/go/' },
      { text: '前端', link: '/frontend/' }
    ],
    sidebar: {
      '/freeswitch/': [
        '../',
        '',
        {
          title: '安装',   // 必要的
          collapsable: true, // 可选的, 默认值是 true,
          sidebarDepth: 1,    // 可选的, 默认值是 1
          children: [
            '/freeswitch/docker',
            '/freeswitch/debian12',
            '/freeswitch/mod_unimrcp',
            '/freeswitch/debian-service',
            '/freeswitch/ubuntu1604'
          ]
        },
        {
          title: '安全',   // 必要的
          collapsable: true, // 可选的, 默认值是 true,
          sidebarDepth: 1,    // 可选的, 默认值是 1
          children: [
            '/freeswitch/fail2ban'
          ]
        }
      ],
      '/php/': [
        '../',
        '',
        'monolog-mongo',
        'docker-phpfpm74',
        'docker81',
        'nginx',
        'openresty',
        'php82'
      ],
      '/docker/': [
        '../',
        '',
        'command',
        'vue',
        'rabbitmq-stomp',
        'elasticsearch-ik',
      ],
      '/go/': [
        '../',
        '',
        'proxy',
      ],
      '/frontend/': [
        '../',
        '',
        'node',
      ],
      '/': [
        '',
        {
          title: 'FreeSWITCH',   // 必要的
          collapsable: false, // 可选的, 默认值是 true,
          sidebarDepth: 1,    // 可选的, 默认值是 1
          children: [
            '/freeswitch/docker',
            '/freeswitch/debian12',
            '/freeswitch/mod_unimrcp',
            '/freeswitch/debian-service',
            '/freeswitch/ubuntu1604',
            '/freeswitch/fail2ban'
          ]
        },
        {
          title: 'PHP',   // 必要的
          collapsable: false, // 可选的, 默认值是 true,
          sidebarDepth: 1,    // 可选的, 默认值是 1
          children: [
            `/php/monolog-mongo`,
            `/php/docker-phpfpm74`,
            '/php/docker81',
            '/php/nginx',
            '/php/openresty',
            '/php/php82'
          ]
        },
        {
          title: 'Docker',   // 必要的
          collapsable: false, // 可选的, 默认值是 true,
          sidebarDepth: 1,    // 可选的, 默认值是 1
          children: [
            '/docker/command',
            '/docker/vue',
            '/docker/rabbitmq-stomp',
            '/docker/elasticsearch-ik',
          ]
        },
        {
          title: 'Go',   // 必要的
          collapsable: false, // 可选的, 默认值是 true,
          sidebarDepth: 1,    // 可选的, 默认值是 1
          children: [
            '/go/proxy',
          ]
        },
        {
          title: '前端',   // 必要的
          collapsable: false, // 可选的, 默认值是 true,
          sidebarDepth: 1,    // 可选的, 默认值是 1
          children: [
            '/frontend/node',
          ]
        }
      ]
    },
  },
};
